#include <iostream>

using namespace std;

int main()
{
    long n,i;
    cin>>n;
    int a[n],b[n];
    for(i=0;i<=n;i+=2)
    {
        a[i]=i+1;
        a[i+1]=2*n-i;
        b[i]=i+2;
        b[i+1]=2*n-i-1;
    }
    for(i=0;i<n;i++)
    {
        cout<<a[i]<<" ";
    }
    cout<<endl;
    for(i=0;i<n;i++)
    {
        cout<<b[i]<<" ";
    }
    return 0;
}